PgpSignatoryProvider (Gradle API 2.14)
Date: 2016-06-14

org.gradle.plugins.signing.signatory.pgp

## Class PgpSignatoryProvider

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.signing.signatory.pgp.PgpSignatoryProvider

- All Implemented Interfaces:
    GroovyObject, SignatoryProvider<PgpSignatory>

      public class PgpSignatoryProvider
      extends GroovyObjectSupport
      implements SignatoryProvider<PgpSignatory>

  A `SignatoryProvider` of `PgpSignatory` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgpSignatoryProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(SigningExtension settings, Closure closure)` Evaluates the given DSL-containing-closure as signatory configuration.
    `PgpSignatory` | `getDefaultSignatory(Project project)` Attempts to create a signatory for the project that will be used everywhere something is to be signed and an explicit signatory has not been set (for the task/operation).
    `PgpSignatory` | `getSignatory(String name)` Retrieves the signatory with the given name.
    `PgpSignatory` | `propertyMissing(String signatoryName)`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgpSignatoryProvider

          public PgpSignatoryProvider()

  - ### Method Detail

    - #### configure

          public void configure(SigningExtension settings,
                       Closure closure)

      Description copied from interface: `SignatoryProvider`
      Evaluates the given DSL-containing-closure as signatory configuration.
      Specified by:
        `configure` in interface `SignatoryProvider<PgpSignatory>`
      Parameters:
        `settings` - The signing settings for the project the configure is happening for

    - #### getDefaultSignatory

          public PgpSignatory getDefaultSignatory(Project project)

      Description copied from interface: `SignatoryProvider`

      Attempts to create a signatory for the project that will be used everywhere something is to be signed and an explicit signatory has not been set (for the task/operation).

      This may be called multiple times and the implementor is free to return a different instance if the project state has changed in someway that influences the default signatory.

      Specified by:
        `getDefaultSignatory` in interface `SignatoryProvider<PgpSignatory>`
      Parameters:
        `project` - The project which the signatory is for
      Returns:
        The signatory, or `null` if there is insufficient information available to create one.

    - #### getSignatory

          public PgpSignatory getSignatory(String name)

      Description copied from interface: `SignatoryProvider`
      Retrieves the signatory with the given name.
      Specified by:
        `getSignatory` in interface `SignatoryProvider<PgpSignatory>`
      Parameters:
        `name` - The desired signatory's name.
      Returns:
        The signatory with the given name if found, or `null` if no signatory is found with this name.

    - #### propertyMissing

          public PgpSignatory propertyMissing(String signatoryName)